
Application: gvSIG desktop - gvSIG bugs #306
Preparar andami para que trabaje con su propio carpeta de traducciones
02/13/2012 12:24 PM - Joaquín  del Cerro Murciano

Status: Closed % Done: 100%
Priority: Normal Spent time: 0.00 hour
Assignee: Cesar Ordiñana
Category:
Target version: 2.0.0-alpha5
Severity: Add-on version:
gvSIG version: 2.0.0 Add-on build:
gvSIG build: Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:
Has patch: No Hito:
Add-on name: Internationalization support (org.gvsig.i18n.extension)
Description

Preparar para que andami tenga una carpeta i18n en la que meter las traducciones en lugar de residir estas en org.gvsig.app para
que pueda inicializarlas antes de que se carguen los plugins.

Tambien habria que crear otra carpeta i18n en el home del usurios en la carpeta gvSIG, y que andami al cargar las traducciones las
busque primero en el home y luego en el directorio de la instalacion de gvSIG.

Esto esta relacionado con un bug en la instalacion del lenguaje Khmer.

Ademas habria que preparar el plugin de instalacion de nuevos idiomas para que los instale en $HOME/gvSIG/i18n en lugar de
org.gvsig.app.

Related issues:
Related to | gvSIG desktop 1 - gvSIG bugs # 252: Error on the Khmer language ... Fixed 02/06/2012

Associated revisions
Revision 38093 - 04/10/2012 04:37 AM - Cesar Ordiñana

This fixes #306 by using two new folders for i18n resources: one into the gvSIG installation and another one in the user home gvSIG folder. This last
one will be used to install new languages.

Revision 38094 - 04/10/2012 04:37 AM - Cesar Ordiñana

This fixes #306 by using two new folders for i18n resources: one into the gvSIG installation and another one in the user home gvSIG folder. This last
one will be used to install new languages.

History
#1 - 04/02/2012 06:23 PM - Cesar Ordiñana
- Status changed from New to In progress
- Add-on name changed from Unknown to Internationalization support (org.gvsig.i18n.extension)

#2 - 04/10/2012 10:40 AM - Cesar Ordiñana
- Status changed from In progress to Fixed
- % Done changed from 0 to 100
Applied in changeset r38093.

#3 - 04/10/2012 10:43 AM - Cesar Ordiñana

As a reminder, from now on the installation of new languages will work as follows:

    -  New languages installed through the language preferences page will be stored in the $USER_HOME/gvSIG/i18n folder.

    -  To add new languages by default to a gvSIG installation, it may be included into the i18n folder of the gvSIG installation.

#4 - 08/30/2012 02:11 PM - Joaquín  del Cerro Murciano
- Status changed from Fixed to Closed
